Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.camel.request
Class RequestPayloadMapper

    java.lang.Object
      org.jbpm.process.workitem.camel.request.RequestPayloadMapper

All Implemented Interfaces:
  RequestMapper

Direct Known Subclasses:
  FTPRequestPayloadMapper

    public class RequestPayloadMapper

extends Object
implements RequestMapper

Nested Class Summary
`protected class` | `RequestPayloadMapper.RequestProcessor`

Field Summary
`protected Set<String>` | `headerLocations`
`protected String` | `requestLocation`

Constructor Summary
`RequestPayloadMapper()`
`RequestPayloadMapper(String requestLocation)`
`RequestPayloadMapper(String requestLocation, Set<String> headerLocations)`

Method Summary
`org.apache.camel.Processor` | `mapToRequest(Map<String,Object> params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### requestLocation

    protected final String requestLocation

### headerLocations

    protected final Set<String> headerLocations

Constructor Detail

### RequestPayloadMapper

    public RequestPayloadMapper()

### RequestPayloadMapper

    public RequestPayloadMapper(String requestLocation)

### RequestPayloadMapper

    public RequestPayloadMapper(String requestLocation,
                                Set<String> headerLocations)

Method Detail

### mapToRequest

    public org.apache.camel.Processor mapToRequest(Map<String,Object> params)

  Specified by:
    `mapToRequest` in interface `RequestMapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.